Get Pix Infraction Notification by ID
GET/v1/pix/compliance/infraction-notifications/:id
Retrieves the detail of one of the authenticated company's wallet pix infraction notifications (MED) by ID.
Request
Path Parameters
Pix infraction notification ID.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
The pix infraction notification returned successfully. Returns null if the id is not found for the authenticated wallet.
- application/json
- Schema
- Example (from schema)
Schema
Pix infraction notification ID.
Possible values: [FRAUD, REFUND_REQUEST, CANCEL_DEVOLUTION]
Infraction type.
Possible values: [ACKNOWLEDGED, CLOSED, OPEN, CANCELLED, NEW, RECEIVED, IN_ANALYSIS, OPENED, REJECTED]
Infraction status.
Infraction description.
End-to-end ID of the original transaction.
Possible values: [AGREED, DISAGREED]
Client analysis status.
Infraction notification created at.
Infraction notification updated at.
Counterparty name (payer).
Counterparty bank name.
Infraction amount in cents.
Company name (authenticated company).
Possible values: [AGREED, DISAGREED]
Compliance analysis result.
Possible values: [IDEOLOGICAL_FALSEHOOD, MULE_ACCOUNT, FRAUD_ACCOUNT, OTHER]
Compliance fraud type classification.
Analysis justification provided by compliance operator.
Name of the compliance operator who analyzed the infraction.
Justification provided by the client when analyzing the infraction.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"infraction_type": "FRAUD",
"status": "ACKNOWLEDGED",
"description": "Transaction not recognized.",
"end_to_end_id": "E1234567820210101121212s0000000000",
"client_status": "AGREED",
"created_at": "2026-10-17T00:50:37.620Z",
"updated_at": "2026-10-17T00:50:37.620Z",
"counterparty_name": "João Paulo da Silva",
"bank_name": "Banco do Brasil",
"amount": 1215000,
"company_name": "Cliente Default",
"analysis_result": "AGREED",
"compliance_fraud_type": "IDEOLOGICAL_FALSEHOOD",
"analysis_details": "string",
"analyzed_by_operator_name": "Thiago Pereira",
"client_analysis_details": "string"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.